%define upstream_name    Test-Script-Run
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Test the script with run
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch: noarch

%{?perl_default_filter}

%description
This module exports some subs to help test and run scripts in your dist's
bin/ directory, if the script path is not absolute.

Nearly all the essential code is stolen from Prophet::Test, we think subs
like those should live below 'Test::' namespace, that's why we packed them
and created this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/Test/


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1034640
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 949258
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 789288
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 750039
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.80.0-3.mga5
+ Revision: 736017
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-2.mga5
+ Revision: 686543
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.80.0-1.mga5
+ Revision: 585196
- update to 0.08

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 515335
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 373779
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 28823
- mageia rebuild
- imported package perl-Test-Script-Run


* Sat Jan 08 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 630637
- update to new version 0.05

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2011.0
+ Revision: 552639
- update to 0.04

* Fri Apr 30 2010 Michael Scherer <misc@mandriva.org> 0.30.0-1mdv2010.1
+ Revision: 541127
- import perl-Test-Script-Run


* Fri Apr 30 2010 cpan2dist 0.03-1mdv
- initial mdv release, generated with cpan2dist
